# Method: curators.dataSegments.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.ListDataSegmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#try-it)

List the data segments owned by a curator.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1beta/{parent=curators/*}/dataSegments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the parent curator that can access the data segment. v1alpha format: `buyers/{accountId}` v1beta format: `curators/{accountId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. The server may return fewer results than requested. Max allowed page size is 500. If unspecified, the server will default to 500. |
| `pageToken` | `string` Optional. The page token as returned. `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.ListDataSegmentsResponse.FIELDS.next_page_token` |

### Request body

The request body must be empty.

### Response body

Response message for listing data segments.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dataSegments": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments#DataSegment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `dataSegments[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments#DataSegment`)`` The list of data segments. |
| `nextPageToken` | `string` Continuation token for fetching the next page of results. Pass this value in the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.dataSegments/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to the `dataSegments.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`